﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Spreadsheet;

namespace FreezePane
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new excel workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();
            Wbook.Worksheets.Add("sheet1");

            int count = 0;
            for (int i = 0; i < 5; i++)
                for (int j = 0; j < 5; j++)
                    Wbook.Worksheets[0].Cells[i, j].Value = count++;

            //set frozen panes.
            Wbook.Worksheets[0].ViewOptions.Panes.FrozenColumn = 2;
            Wbook.Worksheets[0].ViewOptions.Panes.FrozenRow = 3;

            //Write xls excel files.
            Wbook.WriteXLS(@"..\..\..\ExcelPanes.xls");

            //Write xlsx excel files.
            Wbook.WriteXLSX(@"..\..\..\ExcelPanes.xlsx");

            //Display Excel File
            System.Diagnostics.Process.Start(@"..\..\..\ExcelPanes.xls");

        }
    }
}
