﻿Imports System.Drawing
Imports DTG.Spreadsheet

Module Module1

    Sub Main()
        'Read .xlsx file.
        Dim Wbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\ExcelRIchText.xlsx")
        Dim Cells As ExcelCellCollection = Wbook.Worksheets(0).Cells

        ' Read and change richtext
        Dim st As String = Cells(0, 0).RichString(0).RichString
        Cells(0, 0).RichString(0) = New RichTextStruct(st, New ExcelCellFont("Arial", 11, Color.Blue))

        ' Write a new richtext strings
        Cells(1, 0).RichString.Add("Bold ", New ExcelCellFont("Arial", 11, Color.Black, True, False, False, _
         TypeOfScript.None, TypeOfUnderline.None))
        Cells(1, 0).RichString.Add("string", New ExcelCellFont("Arial", 11, Color.Black))
        Cells(2, 0).RichString.Add("Colored ", New ExcelCellFont("Arial", 11, Color.Red))
        Cells(2, 0).RichString.Add("text", New ExcelCellFont("Arial", 11, Color.Black))

        'Write .xls file.
        Wbook.WriteXLS("..\..\..\Result.xls")

        'Write .xlsx file.
        Wbook.WriteXLSX("..\..\..\Result.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\Result.xlsx")

    End Sub

End Module
