﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Spreadsheet;

namespace Hyperlink
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();
            //Add new worksheet to workbook;
            Wbook.Worksheets.Add("Sheet1");

            //Write a hyperlink with tooltip.
            Wbook.Worksheets[0].Cells["B2"].Hyperlink.Link = "www.devtriogroup.com";
            Wbook.Worksheets[0].Cells["B2"].Hyperlink.Tooltip = "Click me";

            //Write a hyperlink with tooltip and descriptor.
            Wbook.Worksheets[0].Rows[3].Cells[1].Hyperlink.Link = "Sheet1!B2";
            Wbook.Worksheets[0].Rows[3].Cells[1].Hyperlink.Description = "Internal hyperlink";
            Wbook.Worksheets[0].Cells["B4"].Hyperlink.Tooltip = "Click to go to another cell";

            //  XLS
            Wbook.WriteXLS(@"..\..\..\ExcelHyperlink.xls");

            // XLSX
            Wbook.WriteXLSX(@"..\..\..\ExcelHyperlink.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ExcelHyperlink.xlsx");
        }
    }
}
