﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Spreadsheet;

namespace PageBreaks
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read template excel file.
            ExcelWorkbook workbook = ExcelWorkbook.ReadXLSX(@"..\..\..\PageBreakExcel.xlsx");

            // Set horizontal and vertical page breaks.
            workbook.Worksheets[0].HorizontalPageBreaks.Add(3);
            workbook.Worksheets[0].HorizontalPageBreaks.Add(5);
            workbook.Worksheets[0].VerticalPageBreaks.Add(3);
            workbook.Worksheets[0].VerticalPageBreaks.Add(5);

            // Save excel xls file.
            workbook.WriteXLS(@"..\..\..\excelfile.xls");

            // Save excel xlsx file.
            workbook.WriteXLSX(@"..\..\..\excelfile.xlsx");
            
            // Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\excelfile.xlsx");
        }
    }
}
