﻿Imports System.Threading
Imports DTG.Spreadsheet

Namespace MultiThreading

    Module ProcessClass

        Private thread1 As Thread
        Private thread2 As Thread


        Public Sub New()
            Dim ts As New ThreadStart(AddressOf ThreadProc1)
            thread1 = New Thread(ts)
            ts = New ThreadStart(AddressOf ThreadProc2)
            thread2 = New Thread(ts)
        End Sub

        Public Sub Run()
            thread1.Start()
            thread2.Start()
        End Sub


        Private Sub ThreadProc1()
            Console.WriteLine("Thread1 is started.")
            Dim Wbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\SampleInput1.xlsx")
            Wbook.WriteXLSX("..\..\..\SampleOutput1.xlsx")
            Console.WriteLine("File SampleOutput1.xlsx successfully is written")
            Console.WriteLine("Thread1 is finished.")
        End Sub

        Private Sub ThreadProc2()
            Console.WriteLine("Thread2 is started.")
            Dim Wbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\SampleInput2.xlsx")
            Wbook.WriteXLSX("..\..\..\SampleOutput2.xlsx")
            Console.WriteLine("File SampleOutput2.xlsx successfully is written")
            Console.WriteLine("Thread2 is finished.")
        End Sub

    End Module

End Namespace

